Bug 17608 - font substitution doesn't work for HTML text using SVG fonts
Summary: font substitution doesn't work for HTML text using SVG fonts
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: SVG (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P2 Normal
Assignee: Nikolas Zimmermann
URL:
Keywords:
Depends on: 59085
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-29 08:43 PST by Mark Ambachtsheer
Modified: 2011-06-20 01:28 PDT (History)
3 users (show)

See Also:


Attachments
test file that reproduces bugs # 17541 and 17608 visually. (18.04 KB, text/html)
2008-02-29 08:45 PST, Mark Ambachtsheer
no flags Details
Screenshot of 17541_17608.html being rendered by WebKit (61.74 KB, image/png)
2008-02-29 08:49 PST, Mark Ambachtsheer
no flags Details
Slightly modified testcase (18.75 KB, application/xhtml+xml)
2011-06-03 05:09 PDT, Nikolas Zimmermann
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Ambachtsheer 2008-02-29 08:43:08 PST
When using an SVG font in HTML, if the SVG font doesn't contain a glyph that is in the text, font substitution doesn't work.  The glyph defined by <missing-glyph /> is rendered instead of an alternate from another font that does define the glyph.

This is using WebKit nightly build 30662.
Comment 1 Mark Ambachtsheer 2008-02-29 08:45:40 PST
Created attachment 19448 [details]
test file that reproduces bugs # 17541 and 17608 visually.

This file demonstrates bugs #17541 and #17608 visually.
Comment 2 Mark Ambachtsheer 2008-02-29 08:49:58 PST
Created attachment 19449 [details]
Screenshot of 17541_17608.html being rendered by WebKit
Comment 3 Eric Seidel (no email) 2008-04-13 23:00:58 PDT
Awesome. :)
Comment 4 Nikolas Zimmermann 2011-06-03 05:09:30 PDT
Created attachment 95893 [details]
Slightly modified testcase

To make the testcase work in Opera as well, make it a XHTML document.
The bug seems gone in trunk though, I'll create a testcase for the use within DRT soon.
Comment 5 Nikolas Zimmermann 2011-06-20 01:28:45 PDT
Fixed in r89233.